﻿* {
    padding: 0;
    margin: 0;
}

img.smiley {
    vertical-align: middle;
}

body {
    overflow-y: scroll;
    color: #FFFFFF;
    background-color: #000000;
    font-family: "Trebuchet MS", Verdana, Geneva, Arial;
}

a.dark-or-light:hover
{
    text-decoration: none;
    font-weight: bold;
}

abbr:hover
{
    cursor: help;
}

.ui-tooltip {
    font-family: "Trebuchet MS", Verdana, Geneva, Arial !important;
}

.jconfirm .jconfirm-box
{
    max-width: 640px;
    max-height: 50%;
    border-style : solid;
    border-width: 1px;
}

.jconfirm .jconfirm-box .jconfirm-content
{
    text-align: center;
}

.jconfirm.jconfirm-light .jconfirm-box .jconfirm-buttons .btn.btn-default
{
    text-transform: none;
}

.jconfirm-box label
{
    display: block;
    text-align: left;
}

.jconfirm-box input, .jconfirm-box textarea
{
    width: 100%;
    box-sizing: border-box;
    border-radius: 5px;
    padding: 5px;
    resize: vertical;
}

.jconfirm-box input:not(:last-child)
{
    margin-bottom: 15px;
}

div.form-progress
{
    background-color: #000000;
    border-width: 1px;
    border-style: solid;
    border-radius: 5px;
}

div.form-progress-label
{
    text-align: center;
}

.ui-widget-header 
{
    font-weight: bold;
    height: 25px;
}

h1, h2, h3, h4, h5, h6 
{
    overflow-y: hidden;
}

h1 {
    text-align: center;
    border-bottom-width: 3px;
    border-bottom-style: solid;
    margin: auto;    
    margin-bottom: 5px;
    font-weight: bold;
    font-size: 48px;
}

@media(max-width: 320px) {
    h1 {
        font-size: 32px;
    }
}

@media(max-width: 320px) {
    div[class$=header] {
        font-size: 14px;
    }
}

h2
{
    font-size:36px;
    border-bottom-style: solid;
    border-bottom-width: 3px;
    margin-top: 3px;
    margin-bottom: 3px;
}

h3 {
    font-size: 24px;
    border-bottom-style: solid;
    border-bottom-width: 3px;
    margin-top: 3px;
    margin-bottom: 3px;
}

h4 {
    font-size: 18px;
    border-bottom-style: solid;
    border-bottom-width: 2px;
    margin-top: 2px;
    margin-bottom: 2px;
}

h5 {
    font-size: 16px;
    border-bottom-style: solid;
    border-bottom-width: 2px;
    margin-top: 2px;
    margin-bottom: 2px;
}

h6 {
    font-size: 14px;
    border-bottom-style: solid;
    border-bottom-width: 1px;
    margin-top: 1px;
    margin-bottom: 1px;
}

div.content {
    clear: both;
    padding: 10px;
    margin-top: 0;
    margin-bottom: 0;
    margin-left: auto;
    margin-right: auto;
    max-width: 1600px;
    /*border-radius: 5px;*/
    overflow-y: hidden;
}
/*
div.content *:not(img) {
    margin-bottom: 10px;
}
*/

div.content *:last-child {
    margin-bottom: 0px;
}


p, section {
    text-align: justify;
}

nav.article-nav, nav.index-nav, nav.admin-nav, nav.stats-nav 
{
    border-radius: 5px;
    border-width: 1px;
    border-style: solid;
    margin-bottom: 5px;
    overflow: hidden;
}

nav.admin-nav div.nav-content {
    max-height: 50vh;
    overflow-y: hidden;
}

section.article-intro, section.article-section, section.index-welcome-message, section.index-day-history-event, section.grid-item, 
section.article-sources, section.article-notes, section.list-section, section.forum-category, section.forum-threads-list, section.forum-post,
section.forum-stats, section.traffic-stats, section.whoisonline, section.spoiler, blockquote, section.history-event-section, section.forum-thread-survey
{
    border-radius: 5px;
    border-width: 1px;
    border-style: solid;
    overflow-y: hidden;
}

section.forum-threads-list div.section-content, section.forum-stats div.section-content, section.traffic-stats div.section-content
{
    padding: 0;
}

section.forum-category:not(:last-child) 
{
    margin-bottom: 10px;
}

section.index-welcome-message
{
    display: inline-block;
    margin-bottom: 5px;
}

section.article-section, section.article-sources, section.article-notes
{
    margin-top: 5px;
}

section.history-event-section
{
    margin-top: 10px;
}

section.article-notes .section-content, section.article-sources .section-content
{
    font-size: 11px;
}

section.article-section div.section-header
{
    font-size: 24px;
}

section.history-event-section div.section-header
{
    font-size: 20px;
}

section.article-intro, div.section-descr, div.section-header, div.section-content, div.nav-header, 
div.quote-header, div.quote-content
{
    padding: 5px;
}
/*
div.quote-header, section.spoiler div.section-header
{
    opacity: 0.6;
}
*/
div.section-content.has-scrollable, div.nav-content.has-scrollable
{
    padding: 0;
    display: flex;
    flex-direction: row;
}

nav.admin-nav div.scrollable-content
{
    padding: 0;
}

div.scrollable-content
{
    flex: 1;
    -ms-flex: 1;
    overflow: hidden;
    max-height: inherit;
    padding: 8px;
    margin-bottom: 8px;
}

div.scroll-buttons
{
    width: 35px;
    display: flex;
    flex-direction: column;
    -ms-flex-direction: column;
    align-items: center;
    border-left-style: solid;
    border-left-width: 1px;
}

div.scroll-item
{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 25%;
}

div.nav-scroll-item:hover, div.scroll-item:hover
{
    cursor: pointer;
}

div.scroll-item:not(:last-child)
{
    border-bottom-style: solid;
    border-bottom-width: 1px;
}

div.forum-section-global-line, div.forum-thread-global-line
{
    width: 100%;
    display: flex;
    align-items: flex-start;
    flex-direction: row;
    overflow-y: auto;
    height: 100%;
}

div.forum-section-icon, div.forum-thread-icon
{
    display: flex;
    float: left;
    clear: both;
    width: 50px;
    max-width: 20%;
}

div.forum-section-icon img, div.forum-thread-icon img
{
    width: 100%;
}

div.forum-section-title, div.forum-thread-title
{
    font-size: 22px;
    font-weight: bold;
}

ul.forum-section-children
{
    list-style-type: none;
    padding-left: 0;
}

img.forum-section-mini-icon
{
    margin-right: 5px;
    vertical-align: middle;
}

span.forum-category-title, div.forum-section-row, span.forum-threads-list-title, div.forum-thread-row
{
    display: inline-block;
}

span.forum-category-title, span.forum-threads-list-title
{
    width: 55%;
}

div.forum-section-icon-and-row, div.forum-thread-icon-and-row
{
    display: inline-flex;
    flex-direction: row;
    overflow-y: hidden;
    -webkit-flex-wrap: wrap;
    flex-wrap: wrap;
    align-items: flex-start;
    width: 55%;
}

div.forum-section-row, div.forum-thread-row
{
    padding: 0 5px;
    overflow: hidden;
    height: 100%;
    flex: 1;
}


span.forum-category-count-threads, div.forum-section-count-threads, span.forum-category-count-messages, div.forum-section-count-messages,
span.forum-threads-list-count-answers, span.forum-threads-list-count-views, div.forum-thread-count-views, div.forum-thread-count-answers
{
    display: inline-block;
    text-align: center;
    width: 10%;
}

div.forum-section-count-threads, div.forum-section-count-messages, div.forum-thread-count-views, div.forum-thread-count-answers
{
    display: inline-block;
    height: 100%;
}


div.line-item {
    padding: 5px;
}

div.line-item-avatar-and-data, div.line-item-picture-and-data, li.line-item-avatar-and-data {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    flex-wrap: wrap;
}

div.line-item-avatar-and-data div.line-item-avatar, div.line-item-picture-and-data div.line-item-picture,
li.line-item-avatar-and-data div.line-item-avatar
{
    margin-right: 5px;
}

div.line-item-avatar-and-data div.line-item-data, div.line-item-picture-and-data div.line-item-data,
li.line-item-avatar-and-data div.line-item-data
{
    flex: 1;
}

li.line-item-avatar-and-data div.line-item-data, div.item-extras-buttons div.line-item-data
{
    text-align: left;
}

img.line-item-picture {
    vertical-align: middle; 
    height: 50px; 
    width: 50px; 
    border-radius: 50px;
}

#newsSection img.line-item-picture
{
    border-radius: 0px;
}

img.line-item-picture.bordered 
{
    width: 50px;
    height: 50px;
    border-width: 2px;
    border-style: solid;
}

img.line-item-picture.size75
{
    width: 75px;
    height: 75px;
}

img.line-item-picture.size75.bordered
{
    width: 75px;
    height: 75px;
    border-radius: 75px;
}

img.line-item-picture.size100
{
    width: 100px;
    height: 100px;
}

img.line-item-picture.size100.bordered
{
    width: 100px;
    height: 100px;
    border-radius: 100px;
}

img.line-item-picture.size125
{
    width: 125px;
    height: 125px;
}

img.line-item-picture.size125.bordered
{
    width: 125px;
    height: 125px;
    border-radius: 125px;
}

ul.date-and-data
{
    list-style-type: none; 
    display: inline-block; 
    padding: 0;
}

span[class$=right-buttons] {
    clear: both;
    float: right;
    margin-right: 5px;
    overflow: hidden;
}

span[class$=right-buttons] i {
    cursor: pointer;
}

span[class$=right-buttons] *:not(:first-child) {
    margin-left: 5px;
}

div.section-header {
    text-align: center;
    font-weight: bold;
    overflow: hidden;
}

div.quote-header
{
    font-weight: bold;    
}

div.nav-header {
    font-weight: bold;
    overflow: hidden;
}

div.section-header[data-align=left], div.section-footer[data-align=left] {
    text-align: left;
}

div.section-header[data-align=right], div.section-footer[data-align=right] {
    text-align: right;
}

div.section-footer
{
    padding: 5px;
}

div.top-buttons[data-align=left], div.bottom-buttons[data-align=left], div.forum-post-buttons[data-align=left]
{
    text-align: left;
}

div.top-buttons[data-align=center], div.bottom-buttons[data-align=center], div.forum-post-buttons[data-align=center]
{
    text-align: center;
}

div.top-buttons[data-align=right], div.bottom-buttons[data-align=right], div.forum-post-buttons[data-align=right]
{
    text-align: right;
}

header {
    box-shadow: 0px 2px #00000088;
}

footer {
    box-shadow: 0px 0px 2px #00000088;
}

footer div.footer-links span + span::before {
    content: " | ";
}

footer div.footer-links:not(:last-child)
{
    margin-bottom: 5px;
}

footer div.links:empty
{
    display: none;
}

header, footer {
    text-align:center;
    width:100%;
}

header a, table:not([class]) thead a, table.profile a, table.memberlist a, table.list a, table.stylelist a, span.category a, div.section-header a, div.nav-header a {
    font-weight: bold;
}

div.categs-list, div[class$=-buttons] {
    text-align: center;
    margin-bottom: 5px;
}

div.grid 
{
    padding: 0;
    text-align: center; 
}

div.grid {
    margin-bottom: 5px;
}

/*
div.grid > *:not(:first-child) {
    margin-left: 1.5px;
}

div.grid > *:not(:last-child) {
    margin-right: 1.5px;
}
*/
section.grid-item {
    display: inline-block;
    vertical-align: top;
}


section.grid-item:not(:last-child) {
    margin-bottom: 5px;
}


div.nav-scroll-top, div.nav-scroll-bottom {
    width: 35px;
    height: 100px;
    text-align: center;
    float: right;
    clear: right;
}

@media(max-height: 320px)
{
    div#headerNavMenu
    {
        height: 150px;
    }

    div#menuwrap div.nav-scroll-top, div#menuwrap div.nav-scroll-bottom
    {
        height: 75px;
    }
}

div.nav-scroll-top div.nav-scroll-item, div.nav-scroll-bottom div.nav-scroll-item {
    height: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
}

div.nav-title-item, div.line-item, div.nav-scroll-item
{
    padding: 10px 5px;
}

div.nav-title-item:not(:last-child), div.line-item:not(:last-child), div.nav-scroll-item:not(:last-child), div.nav-scroll-top div.nav-scroll-item:last-child
{
    border-bottom-style: solid;
    border-bottom-width: 1px;
}

section.grid-item#lastForumPostsSection div.line-item:hover
{
    cursor: pointer;
}

div.nav-scroll-top, div.nav-scroll-bottom
{
    border-left-style: solid;
    border-left-width: 1px;
}

div.nav-title-item:hover, div.line-title-item:hover
{
    font-weight: bold;
}

div.nav-title-item span.nav-group-title
{
    font-weight: bold;
}

@media(max-width: 415px) {
    div.article-buttons button {
        display: block;
        width: 100%;
        margin: 5px 0;
    }
}

@media(min-width: 416px) {
    div.article-buttons button {
        margin: 0 5px;
    }
}

span.category {
    padding: 5px;
    border-radius: 10px;
    display: inline-block;
    white-space: nowrap;
    overflow: hidden;
    margin: auto;
}

ul.article-extras-buttons {
    float: right;
    text-align: right;
    margin: 5px 0;
    padding: 5px;
    list-style-type: none;
    border-radius: 5px;
    border-style: solid;
    border-width: 1px;
}

div.item-extras-buttons {
    padding-top: 10px;
}

div.item-extras-buttons:last-child {
    padding-bottom: 10px;
}


ul.article-extras-buttons a[class$=liked]:hover, div.item-extras-buttons a[class$=liked]:hover, div.item-extras-buttons a.yes:hover, div.item-extras-buttons a.no:hover,
div.forum-post-buttons a[class$=liked]:hover
{
    cursor: pointer;
    text-decoration: none;
}

ul.article-extras-buttons li, div.item-extras-buttons {
    font-size: 18px;
}

ul.article-extras-buttons li:not(:first-child) {
    margin-top: 15px;
}

ul.article-extras-buttons li.noteForm :not(:last-child), div.item-extras-buttons div.evalFormDiv :not(:last-child) {
    margin-bottom: 2px;
}

div.evalFormDiv {
    margin-top: 15px;
}

ul.article-signature, ul.storage-pict-info, ul.member-profile-info, ul.private-message-info, ul.forum-thread-details, ul.forum-post-details ,
ul.trash-info, ul.last-edit-info
{
    text-align: right;
    border-style: solid;
    border-width: 1px;
    border-radius: 5px;
    margin: 5px 0;
    margin-left: 5px;
    list-style-type: none;
    padding: 5px;
}

ul.forum-thread-details, ul.forum-post-details
{
    width: 320px;
    max-width: 90%;
    margin: auto;
}

ul.article-signature, ul.trash-info, ul.last-edit-info {
    float: right;
    vertical-align: middle;
}

ul.trash-info, ul.last-edit-info
{
    clear: both;
}

ul.storage-pict-info {
    max-width: 300px;
    margin: auto;
    margin-bottom: 5px;
}

ul.member-profile-info
{
    max-width: 800px;
    margin: auto;
    margin-bottom: 5px;
}

ul.article-signature a.avatar-link, ul.storage-pict-info a.avatar-link, ul.private-message-info a.avatar-link {
    font-weight: bold;
}

ul.article-signature img.avatar, ul.storage-pict-info img.avatar, ul.private-message-info img.avatar , ul.forum-thread-details img.avatar,
ul.forum-post-details img.avatar, div.forum-section-last-avatar img.avatar, div.forum-section-last-avatar-mobile img.avatar, 
div.forum-thread-last-avatar img.avatar, div.forum-thread-last-avatar-mobile img.avatar, div.forum-post-mobile-avatar img.avatar,
ul.trash-info img.avatar, ul.last-edit-info img.avatar, div.item-extras-buttons img.avatar, section.whoisonline img.avatar
{
    width: 50px;
    height: 50px;
    border-radius: 50px;
    margin-left: 5px;
    vertical-align: middle;
    border-width: 2px;
    border-style: solid;
}

ul.article-signature img.avatar, ul.trash-info img.avatar, ul.last-edit-info img.avatar, ul.forum-post-details img.avatar, ul.forum-thread-details img.avatar
{
    margin-left: 0;
}

li.member-data-and-avatar
{
    display: flex;
    flex-direction: row;
}

li.member-data-and-avatar div.member-data
{
    flex: 1;
    display: flex;
    flex-direction: column;
}

div.forum-post-author-and-content
{
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: stretch;
    flex-wrap: wrap;
}

@media(max-width: 575px)
{
    div.forum-post-author-and-content
    {
        display: initial;
    }
}

div.forum-post-author
{
    flex-basis: 250px;
    text-align: center;
    margin-top: -5px;
    margin-left: -5px;
    margin-right: 5px;
    margin-bottom: -5px;
    padding: 5px;
}

div.forum-post-date-and-content + div.forum-post-author
{
    margin-left: 5px;
    margin-right: -5px;
}

div.forum-post-author-mobile
{
    display: flex;
    flex-direction: row;
    -webkit-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-top: -5px;
    margin-left: -5px;
    margin-right: -5px;
    margin-bottom: 5px;
    padding: 5px;
}

div.forum-post-author-mobile-data
{
    margin-left: 5px;
    font-size: 14px;
    flex: 1;
}

div.forum-post-author-mobile-data div.forum-post-author-location i.location
{
    margin-right: 5px;
}

div.forum-post-author img.avatar
{
    width: 150px;
    height: 150px;
    border-radius: 150px;
    border-width: 3px;
    border-style: solid;
}

div.forum-post-author div.forum-post-author-registration
{
    margin-top: 25px;
}

div.forum-post-author div.forum-post-author-location
{
    margin-top: 25px;
}

div.forum-post-date-and-content
{
    flex: 1;
    position: relative;
}

div.forum-post-original-date
{
    font-size: 12px;
    opacity: 0.5;
    margin-bottom: 10px;
}

div.forum-post-last-operation-and-buttons
{
    text-align: right;
    margin-top: 25px;
}

@media(min-width: 576px) 
{
    div.forum-post-content
    {
        padding-bottom: 75px;
    }

    div.forum-post-last-operation-and-buttons
    {
        position: absolute;
        bottom: 0;
        right: 0;
    }
}

div.forum-post-last-edit-date, div.forum-post-last-moving-date
{
    font-size: 12px;
    font-style: italic;
}


div.forum-section-last-message, div.forum-thread-last-message
{
    display: inline-flex;
    flex-direction: row;
    overflow-y: hidden;
    -webkit-flex-wrap: wrap;
    flex-wrap: wrap;
    width: 22%;
    height: 100%;
}

div.forum-post-signature
{
    font-size: 14px;
    width: 100%;
    margin-top: 5px;
    padding: 5px 0;
    text-align: center;
    border-top-style: solid;
    border-top-width: 1px;
}

div.forum-post-signature:empty
{
    display:none;
}

div.forum-section-last-message-data, div.forum-thread-last-message-data
{
    margin-left: 5px;
    flex: 1;
}

div.forum-section-last-avatar, div.forum-thread-last-avatar
{
    height: 100%;
}

div.forum-section-last-message-mobile, div.forum-thread-last-message-mobile
{
    display: inline-flex;
    flex-direction: column;
    overflow-y: hidden;
    width: 100%;
    text-align: right;
    -webkit-flex-wrap: wrap;
    flex-wrap: wrap;

}

div.forum-section-last-message-mobile div.header, div.forum-thread-last-message-mobile div.header
{
    font-style: italic;
    margin-bottom: 5px;
}

div.forum-section-last-message-mobile-data-and-avatar, div.forum-thread-last-message-mobile-data-and-avatar
{
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
}

div.forum-section-last-message-mobile-data, div.forum-thread-last-message-mobile-data
{
    flex: 1;
}

section.forum-thread-survey div.survey-data
{
    display: flex;
    flex-direction: row;
    align-items: center;
    -ms-flex-direction: horizontal;
    width: 100%;
}

section.forum-thread-survey div.survey-data div.survey-buttons-row, section.forum-thread-survey div.survey-data div.survey-bar-row,
section.forum-thread-survey div.survey-data div.survey-score-row
{
    height: 30px;
    padding: 2.5px 0;
}

section.forum-thread-survey div.survey-data div.survey-scores
{
    margin-left: 15px;
    text-align: right;
}

section.forum-thread-survey div.survey-data div.survey-buttons
{
    text-align: left;
}

section.forum-thread-survey div.survey-data div.survey-bars
{
    flex: 1;
}

section.forum-thread-survey div.survey-data div.survey-bar
{
    height: 25px;
    margin-left: 5px;
    border-radius: 5px;
    border-style: solid;
    border-width: 1px;
    box-sizing: border-box;
}

section.forum-post:not(last-child)
{
    margin-bottom: 20px;
}

span.avatar-and-login
{
    display: inline-block;
}

ul.article-signature li.title, ul.article-extras-buttons li.title, ul.storage-pict-info li.title, ul.member-profile-info li.title, 
ul.private-message-info li.title, ul.forum-thread-details li.title, ul.forum-post-details li.title, ul.trash-info li.title,
ul.last-edit-info li.title
{
    margin: 5px -5px;
    padding: 2px;
    font-weight: bold;
}

ul.article-signature li.title, ul.storage-pict-info li.title, ul.member-profile-info li.title, ul.private-message-info li.title,
ul.forum-thread-details li.title, ul.forum-post-details li.title , ul.trash-info li.title, ul.last-edit-info li.title
{
    text-align: left;
}

ul.private-message-info li:not([class=title])
{
    font-weight: normal;
    text-align : initial;
}

div.item-extras-buttons div.subtitle {
    margin: 5px 0;
    padding: 2px;
    text-align: left;
}

ul.article-extras-buttons li.title, div.item-extras-buttons div.subtitle {
    margin-top: 7px;
}

ul.article-extras-buttons li.like
{
    margin-top: 5px;
    margin-bottom: 10px;
}

div.item-extras-buttons div.like
{
    margin-bottom: 10px;
}

div.item-extras-buttons div.toggle
{
    margin: 5px 0;
}

ul.article-signature li.title:first-child, ul.storage-pict-info li.title:first-child, ul.member-profile-info li.title:first-child, 
ul.private-message-info li.title:first-child, ul.forum-thread-details li.title:first-child, ul.forum-post-details li.title:first-child,
ul.trash-info li.title:first-child, ul.last-edit-info li.title:first-child
{
    margin-top: -5px;
}

ul.article-extras-buttons a[class$=liked], div.item-extras-buttons a[class$=liked] {
    margin-top: 5px;
}

div.eula, div.legal
{
    text-align: justify;
    overflow-wrap: break-word;
}

table.admin-menu a::before {
    content: "> ";
}

td.center
{
    text-align: center;
}

ul.article-extras-buttons a[class$=liked], div.item-extras-buttons a.likeButton, div.item-extras-buttons a.toggleButton,
div.section-footer a.likeButton
{
    padding: 5px;
    border-radius: 10px;
}

div.section-footer a.likeButton
{
    border-radius: 5px;
}

div.section-footer a.likeButton:first-child
{
    margin-right: 5px;
}

div.section-footer a.likeButton:last-child
{
    margin-left: 5px;
}

header a:hover, footer a:hover, table:not([class]) thead a:hover, table.profile a:hover, table.memberlist a:hover, table.list a:hover, table.stylelist a:hover, div.item-title a:hover,
span.category a:hover, div.section-header a:hover, div.nav-header a:hover, ul.article-extras-buttons a[class$=liked]:hover, div.item-extras-buttons a[class$=liked]:hover, div.item-extras-buttons a.yes:hover,
div.item-extras-buttons a.no:hover {
    text-decoration: none;
    padding: 5px;
    border-radius:10px;
    cursor: pointer;
}

div.section-footer a.likeButton
{
    text-decoration: none;
    cursor: pointer;
}

footer a:hover
{
    font-weight: bold;
}

table.admin-menu a:hover {
    text-decoration: none;
}

footer {
    padding-top: 15px;
    padding-bottom: 15px;
    bottom: 0px;
}

footer.fixed {
    position: fixed;
}

div.banner {
    padding-top: 15px;
    background-color: #000000;
    overflow: hidden;
    text-align: center;
}

div.banner.left {
    text-align: left;
}

div.banner.left a#bannerLogo {
    float: left;
    clear: right;
}

div.banner.right {
    text-align:right;
}

div.banner.right a#bannerLogo {
    float: right;
}

div.banner img {
    margin-bottom: 15px;
    vertical-align: middle;
}

div.banner.left img, div.banner.right img {
    margin: 0 15px;
    margin-bottom: 15px;
}

div.banner h1 {
    margin-top: -40px;
    font-size: 72px;
    text-shadow: #000000 1px 1px 4px;
    border: none;
}

div.banner.left h1, div.banner.right h1 {
    margin-top: 0;
}

div.banner h2 {
    font-weight: normal;
    font-size: 24px;
    border-bottom: none;
    text-shadow: #000000 1px 1px 4px;
}
div.banner h1, div.banner h2 {
    margin-bottom: 0px;
    text-align:left;
}

header#topHeader {
    clear: both;
    margin-top: 0px;
    padding-top: 15px;
    padding-bottom: 15px;
    font-size: 24px;
    z-index: 1;
}

header#topHeader.fixed {
    margin-top: 0;
    position: fixed;
    overflow-y: hidden;
    top:0;
}

header div.menu {
    padding-left: 15px;
    padding-right: 15px;
    text-align: left;
    font-size: 18px;
    text-shadow: #000000 1px 1px 4px;
}

header div.menu a:hover {
    text-shadow: none;
}

/*
header.fixed div.menu {
    text-align: center;
}
*/
header div.wrap {
    margin-right: 20px;
}

header div.menu {
    clear: both;
}

header div.menu a.toggleDarkLight.left {
    float: left;
    margin-right: 10px;
}

header div.menu a.toggleDarkLight.right {
    float: right;
    margin-left: 10px;
}

div#menuwrap {
    box-shadow: 2px 2px 2px 2px #00000088;
    display: none;
    text-align: left;
    overflow: hidden;
}


div#headerNavMenu
{
    max-height: 200px;
    overflow-y: hidden;
}

div#menuwrap a {
    display: block;
    margin-top: 5px;
    padding-left:5px;
    padding-right: 5px;
}

div#menuwrap a:hover {
    border-radius: 0px;
}

div.stats, div.credits {
    vertical-align: middle;
    line-height: 36px;
}

div.stats {
    padding-bottom: 25px;
}


span.stat {
    margin-left: 25px;
    margin-right: 25px;
}

span.stat-number, span.stat-last-member {
    vertical-align: -10%;
    font-size: 36px;
}

/* css responsive bonnes pratiques (cf. e-ms) */
@media(max-width: 1024px) {
    header {
        text-align:right;
        position:fixed;
        top:0;
        margin-top:0;
    }
    div.content {
    	margin-top: 60px;
    }
    header div.menu :not(.toggleDarkLight), header div.menu :not(.left), span#userConnected {
	    display:none;
    }
    header div.menu .toggleDarkLight.left * {
        display: initial;
    }
    div.banner {
	    display: none;
    }

}

@media(max-width: 1024px) {
    footer span.stat {
	    display: block;
    }
}

@media(min-width: 1024px) {
    header div.wrap, header div.menu .toggleDarkLight.left {
	    display:none;
    }
}

table, tr, td, th {
    border: 1px solid ;
    border-style: groove;
    border-collapse: separate;
    /*z-index:1;*/
}

td.center {
    text-align: center;
}

table {
    border-collapse: collapse;
}

table.profile td.field, table.form td.field {
    font-weight:bold;
    text-align: center;
}

table.memberlist td, table.stylelist td {
    text-align: center;
}

table td, table th {
    padding: 5px;
}

table.form, table.profile, table.memberlist, table.list {
    margin: auto;
}

.inline {
    display: inline;
}

div.pagination {
    text-align: center;
    margin-top: 10px;
    margin-bottom: 10px;
}

div.pagination > :not(:last-child) {
    margin-right: 14px;
}

@media(max-width: 480px) {
    span.pagination-legend {
        display: none;
    }
}

div.pagination a, span.category a {
    padding: 5px;
    border-radius: 5px;
    font-weight: bold;
}

div.pagination a:hover {
    text-decoration: none;
}

div.pagination a > :not(:last-child) {
    margin-right: 5px;
}

a.button, div.forum-post-buttons a.likeButton
{
    padding: 5px;
    border-radius: 5px;
    font-weight: bold;
    display: inline-block;
}

a.button:not(:first-child)
{
    margin-left: 5px;
}

a.button:first-child, div.forum-post-buttons a.likeButton:first-child
{
    margin-left: 0;
}

a.button:last-child, div.forum-post-buttons a.likeButton:last-child
{
    margin-right: 0;
}

a.button:hover
{
    text-decoration: none;
    cursor: pointer;
}

div.items-list {
    text-align: center;
    padding: 5px 0;
}

div.item-inline, div.item-inline-200px, div.item-inline-250px, div.item-inline-275px, div.item-inline-600px, div.item-inline-800px, div.item-inline-1024px,
div.thumb {
    display: inline-block;
    border-radius: 5px;
    border-width: 1px;
    border-style: solid;
    margin: 5px;
}

div.thumb img:hover
{
    cursor: pointer;
}

div.item-inline, div.thumb {
    max-width: 300px;
}

div.item-inline-200px {
    max-width: 200px;
}

div.item-inline-250px {
    max-width: 250px;
}

div.item-inline-275px {
    max-width: 275px;
}

div.item-inline-600px {
    max-width: 600px;
}

div.item-inline-800px {
    max-width: 800px;
}

div.item-inline-1024px {
    max-width: 1024px;
}

div.item-inline img, div.content img {
    max-width: 100%;
    height: auto;
}

div.item-title, div.thumb-legend {
    text-align: center;
    padding-top: 5px;
    padding-bottom: 5px;
}

div.item-title
{
    font-weight: bold;
}

div.thumb-legend
{
    border-top-style: solid;
    border-top-width: 1px;
}

div.item-pict, div.thumb-pict {
    padding-left: auto;
    padding-right: auto;
}

div.item-pict-style
{
    width: 300px;
    height: 225px;
    display: flex;
    align-items: center;
    justify-content: center;
}

div.item-pict-smiley {
    margin: auto;
    width: 100%;
    min-width: 150px;
    height: 150px;
    display: flex;
    align-items: center;
    justify-content: center;
}

div.item-pict-skill {
    width: 300px;
    height: 225px;
    display: flex;
    align-items: center;
    justify-content: center;
}

div.item-pict-avatar
{
    width: 300px;
    height: 225px;
    display: flex;
    align-items: center;
    justify-content: center;
}

div.item-pict-forum-icon
{
    max-width: 275px;
    height: 225px;
    display: flex;
    align-items: center;
    justify-content: center;
}

@media(max-width: 320px) {
    div.item-pict-skill {
        width: 250px;
        height: 188px;
    }
}

@media(max-width: 320px) {
    div.item-pict-avatar {
        width: 250px;
        height: 188px;
    }
}

div.item-pict img, div.thumb-pict img {
    display: block;
    margin: auto;
}

div.item-pict-style img, div.item-pict-smiley img, div.item-pict-skill img, div.item-pict-avatar img {
    vertical-align: middle;
    max-width: 100%;
    max-height: 100%;
}

div[class^=item-pict] img.disabled {
    opacity: 0.25;
}

div.item-title
{
    border-top-style: solid;
    border-top-width: 1px;
}

div.item-links {
    text-align: center;
}

div.item-descr 
{
    font-size: 16px;
    text-align: justify;
    text-align-last: center;
    -moz-text-align-last: center;
    padding: 5px;
}

div.storage-pict 
{
    margin: auto;
    display: inline-block;
    max-width: 1024px;
    border-width: 1px;
    border-style: solid;
    border-radius: 5px;
    margin-bottom: 10px;
}

div.storage-pict img {
    display: block;
}

img.social {
    width: 50px;
    border-radius: 10px;
    border-width: 1px;
    border-style: solid;
}

td.buttons, td.two, td[colspan], th[colspan], td#message {
    text-align: center;
}

div.iframe {
    display: inline;
}

div.iframe, div.iframe iframe {
    max-width: 100%;
}

a {
    text-decoration:none;
    /*cursor: url("design/cursors/lien.cur"), url("design/cursors/lien.png"), default;*/
}

a:hover, a:visited {
    text-decoration:underline;
    /*cursor: url("design/cursors/lien.cur"), url("design/cursors/lien.png"), default;*/
}

label {
    vertical-align: middle;
    margin-left: 5px;
}

label.radio, label.checkbox, label.checkbox-disabled {
    display: block;
    margin-bottom: 0px;
}

label.checkbox-disabled {
    opacity: 0.5;
}

div.BBCodeButtons
{
    text-align: center;
    border-radius: 5px;
    border-width: 1px;
    border-style: solid;
}

div.BBCodeButtons div.group
{
    display: inline-block;
    margin-inline: 10px;
}

div.smileysButtons div.group
{
    display: block;
    margin-block: 7px;
    text-align : center;
    padding: 5px;
    border-radius: 5px;
    border-width: 1px;
    border-style: solid;
}

div.smileysButtons div.group img.smiley
{
    margin-inline: 3px;
}

/*
input, textarea {
    background-color: transparent;
    width: 100%;
    height: 30px;
    font-size: 25px;
    border-radius: 5px;
    outline: none;
    border: none;
}
*/

input[type="radio"], input[type="checkbox"] {
    vertical-align: middle;
}

table input:not([type="checkbox"]):not([type="radio"]), div.form input:not([type="checkbox"]):not([type="radio"]), table.form textarea, div.form textarea 
{
    margin: auto;
    box-sizing: border-box;
    -webkit-box-sizing:border-box;
    -moz-box-sizing: border-box;
    padding: 10px;
    outline: none;
    border-radius: 5px;
}

div.form textarea
{
    resize: vertical;
}

table input:not([type="checkbox"]):not([type="radio"]), table.form textarea
{
    width: 100%;
}

@media(max-width: 414px) {
    table input:not([type="checkbox"]):not([type="radio"]), div.form input:not([type="checkbox"]):not([type="radio"]), table.form textarea, div.form textarea {
        width: 97%;
    }
}

input:disabled, button:disabled {
    opacity: 0.5;
}

input[type=submit]:focus, button:focus, input[type=reset]:focus, input[type=button]:focus {
    opacity: 0.8;
}

button, input[type=submit] {
    padding: 5px;
}

button.item-button {
    padding-top: 5px;
    padding-bottom: 5px;
}

table.form select {
    width: 100%;
    display: block;
    padding: 5px;
}

ul, ol {
    padding: 15px;
    margin-left: 5px;
}
ul {
    list-style-type: circle;

}

ul ul, ol ol {
    padding-top: 0;
    padding-bottom: 0;
}

table.admin-menu {
    float: left;
    margin-right: 15px;
}


table.admin-menu tr.title {
    font-weight: bold;
}

table.admin-menu tr:not(.title):hover {
    font-weight: bold;
}

table.memberlist a.pagelink:not(:last-child) {
    margin-right: 15px;
}

div.form-result, div.section-result, div.item-action, div.storage-pict-action {
    text-align: justify;
    text-align-last: center;
    -moz-text-align-last: center;
    font-size: 18px;
    padding: 5px 0;
}

div.storage-pict-action {
    margin-top: 5px;
    margin-left: -5px;
    margin-right: -5px;
}

div.section-result:empty {
    display: none;
}

section.error, section.success, section.warning, section.info, section.question {
    margin-top: 10px;
    margin-bottom: 10px;
    text-align: justify;
    text-align-last: center;
    -moz-text-align-last: center;
    font-size: 18px;
    border-radius: 10px;
    padding: 5px;
    overflow-y: hidden;
    
}
/*
div.breadcrumb {
    border-style: solid;
    border-width: 1px;
    overflow-y: hidden;
    border-radius: 5px;
    padding: 5px;
}
*/

div.breadcrumb
{
    margin-bottom: 5px;
}

img.clickable
{
    max-width: 300px;
    max-height: 300px;
}


label.checkbox:not(:first-child), label.checkbox-disabled:not(first-child)
{
    margin-top: 5px;
}
/* --------------
   From W3SCHOOLS
   --------------
*/
 /* The switch - the box around the slider */
.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 26px;
  padding: 5px;
}

/* Hide default HTML checkbox */
.switch input {display:none;}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(34px);
  -ms-transform: translateX(34px);
  transform: translateX(34px);
}

/* Rounded sliders */
.slider.round {
    border-radius: 34px;
    border: 1px solid #ffffff;
}

.slider.round:before {
  border-radius: 50%;
} 

/*
section.error, section.success {
    border-radius: 10px;
    font-weight: bold;
    padding: 10px;
    overflow: auto;
}


section.error a, section.success a {
    float:right;
    display: block;
}

section.error a:hover, section.success a:hover {
    text-decoration: none;
}
*/

div.form {
    border-radius: 5px;
    overflow-y: hidden;
    margin-bottom: 5px;
}

div.label {
    font-weight: bold;
}

div.input {
    padding: auto;
}


div.input:not(:last-child), div.label:not(:last-child) {
    margin-bottom: 5px;
}

div.form-row:not(.form-result-row) {
    padding: 5px 5px;
}

div.form-row:not(:last-child), div.form-result {
    border-bottom-width: 1px;
    border-bottom-style: dotted;
}

.fa.middle, .fas.middle, .far.middle, .fal.middle 
{
    vertical-align: middle;
}

.align-center {
    text-align: center;
}

.align-left {
    text-align: left;
}

.v-align-middle
{
    vertical-align: middle;
}

.gallery-photo:hover {
    cursor: pointer;
}